RDF::Trine::Node(3pm)

NAME
RDF::Trine::Node - Base class for RDF Nodes

VERSION
This document describes RDF::Trine::Node version 1.014

FUNCTIONS

"ntriples_escape ( $value )"
    Returns the passed string value with special characters (control characters, Unicode, etc.) escaped, suitable for printing inside an N-Triples or Turtle encoded literal.

METHODS

"is_node"
    Returns true if this object is a RDF node, false otherwise.

"is_nil"
    Returns true if this object is the nil-valued node.

"is_blank"
    Returns true if this RDF node is a blank node, false otherwise.

"is_resource"
    Returns true if this RDF node is a resource, false otherwise.

"is_literal"
    Returns true if this RDF node is a literal, false otherwise.

"is_variable"
    Returns true if this RDF node is a variable, false otherwise.

"as_string"
    Returns the node in a string form.

"as_ntriples"
    Returns the node in a string form suitable for NTriples serialization.

"sse"
    Returns the SSE serialization of the node.

"equal ( $node )"
    Returns true if the two nodes are equal, false otherwise.

"compare ( $node_a, $node_b )"
    Returns -1, 0, or 1 if $node_a sorts less than, equal to, or greater than $node_b in the defined SPARQL ordering, respectively. This function may be used as the function argument to "<sort">.

"as_hashref"
    Returns a hashref representing the node in an RDF/JSON-like manner.

    See "as_hashref" at RDF::Trine::Model for full documentation of the hashref format.

"from_sse ( $string, $context )"
    Parses the supplied SSE-encoded string and returns a RDF::Trine::Node object.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.